package com.bjtdba.merchant.service;

import com.bjtdba.entity.merchant.MerchantYx;

import java.util.List;

/**
 * (RrxMerchantYx)表服务接口
 *
 * @author makejava
 * @since 2022-08-09 11:55:46
 */
public interface MerchantYxService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    MerchantYx queryById(Integer id);

    /**
     * 通过用户id查询音响绑定
     * @param uid
     * @return
     */
    MerchantYx queryByUid(Integer uid);

    MerchantYx queryBySn(String sn);

    MerchantYx qeryByMerid(Integer merId);

    /**
     * 分页查询
     *
     * @param rrxMerchantYx 筛选条件
     * @return 查询结果
     */
    List<MerchantYx> queryByPage(MerchantYx rrxMerchantYx);

    /**
     * 新增数据
     *
     * @param rrxMerchantYx 实例对象
     * @return 实例对象
     */
    MerchantYx insert(MerchantYx rrxMerchantYx);

    /**
     * 修改数据
     *
     * @param rrxMerchantYx 实例对象
     * @return 实例对象
     */
    MerchantYx update(MerchantYx rrxMerchantYx);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

}
